<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/layoutBac"
    android:fitsSystemWindows="true">
    <!--播放器以外的UI-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="211dp" />

        <LinearLayout
            android:id="@+id/ll_portrait_danmu_off"
            android:layout_width="50dp"
            android:layout_height="30dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="5dp"
            android:background="@drawable/danmu_control_fifteen_corner_bac"
            android:gravity="center"
            android:visibility="gone">

            <ImageView
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:src="@mipmap/iv_danmu_off_gray" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_portrait_danmu_on"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="5dp"
            android:layout_marginRight="10dp"
            android:orientation="horizontal"
            android:visibility="invisible">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:background="@drawable/danmu_control_fifteen_corner_bac"
                android:gravity="center">

                <ImageView
                    android:id="@+id/iv_portrait_danmu_on"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:src="@mipmap/iv_danmu_on" />

                <View
                    android:layout_width="0.5dp"
                    android:layout_height="match_parent"
                    android:background="@color/danmuControlBac" />

                <ImageView
                    android:id="@+id/iv_portrait_danmu_set"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:src="@mipmap/iv_danmu_set_gray" />
            </LinearLayout>

            <TextView
                android:id="@+id/tv_portrait_input_danmu"
                android:layout_width="0dp"
                android:layout_height="30dp"
                android:layout_marginStart="10dp"
                android:layout_weight="1"
                android:background="@drawable/portrait_input_danmu_fifteen_corner_bac"
                android:gravity="center_vertical"
                android:paddingStart="15dp"
                android:paddingEnd="0dp"
                android:text="点我发弹幕"
                android:textColor="@color/gray"
                android:textSize="13sp" />
        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:text="课程目录"
            android:textColor="@color/videoTitle"
            android:textSize="15sp"
            android:textStyle="bold" />


        <ListView
            android:id="@+id/lv_play_list"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="5dp"
            android:layout_weight="1"
            android:divider="@null">

        </ListView>

        <Button
            android:id="@+id/btn_download"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginLeft="30dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="30dp"
            android:layout_marginBottom="20dp"
            android:background="@drawable/orange_line_corner_bac"
            android:text="下载"
            android:textColor="@color/orange"
            android:textSize="16sp" />

        <LinearLayout
            android:id="@+id/ll_confirm_or_cancel"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="30dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="30dp"
            android:layout_marginBottom="10dp"
            android:orientation="horizontal"
            android:visibility="gone">

            <Button
                android:id="@+id/btn_confirm"
                android:layout_width="wrap_content"
                android:layout_height="40dp"
                android:layout_weight="1"
                android:background="@drawable/orange_line_corner_bac"
                android:text="确认下载"
                android:textColor="@color/orange"
                android:textSize="15sp" />

            <Button
                android:id="@+id/btn_cancel"
                android:layout_width="wrap_content"
                android:layout_height="40dp"
                android:layout_marginStart="30dp"
                android:layout_marginBottom="10dp"
                android:layout_weight="1"
                android:background="@drawable/light_gray_corner_bac"
                android:text="取消"
                android:textColor="@color/black"
                android:textSize="15sp" />

        </LinearLayout>

    </LinearLayout>

    <RelativeLayout
        android:id="@+id/rl_play_video"
        android:layout_width="match_parent"
        android:layout_height="211dp">
        <com.bokecc.vod.play.video.PlayVideoView
            android:id="@+id/play_video_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
        <!--片头图片广告-->
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:id="@+id/ll_image_ad"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/black"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="gone">

                <ImageView
                    android:id="@+id/iv_image_ad"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_ad"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:padding="10dp"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <TextView
                        android:id="@+id/tv_ad_countdown"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/ad_bac"
                        android:paddingLeft="5dp"
                        android:paddingRight="5dp"
                        android:text="广告剩余"
                        android:textColor="@color/white"
                        android:textSize="15sp" />

                    <TextView
                        android:id="@+id/tv_skip_ad"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:background="@drawable/ad_bac"
                        android:paddingLeft="5dp"
                        android:paddingRight="5dp"
                        android:text="跳过广告"
                        android:textColor="@color/white"
                        android:textSize="15sp" />

                </LinearLayout>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="20dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <TextView
                        android:id="@+id/tv_know_more"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/ad_bac"
                        android:paddingLeft="5dp"
                        android:paddingRight="5dp"
                        android:text="了解详情"
                        android:textColor="@color/white"
                        android:textSize="15sp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/ad_bac"
                        android:paddingLeft="5dp"
                        android:paddingRight="5dp"
                        android:text="广告"
                        android:textColor="@color/white"
                        android:textSize="15sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <ImageView
                        android:id="@+id/iv_ad_full_screen"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:src="@mipmap/iv_full_screen" />

                </LinearLayout>

            </LinearLayout>
        </RelativeLayout>
        <!--暂停图片广告-->
        <RelativeLayout
            android:id="@+id/rl_pause_ad"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_centerInParent="true"
            android:visibility="gone">

            <ImageView
                android:id="@+id/iv_pause_ad"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:layout_alignParentEnd="true"
                android:layout_marginTop="3dp"
                android:layout_marginEnd="3dp"
                android:background="@color/closePauseVideoAdBac"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:text="广告"
                    android:textColor="@color/white"
                    android:textSize="12sp" />

                <ImageView
                    android:id="@+id/iv_close_pause_ad"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:padding="4dp"
                    android:src="@mipmap/iv_close_pause_ad" />

            </LinearLayout>

        </RelativeLayout>

        <ImageView
            android:id="@+id/iv_gif_stop"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:layout_marginEnd="15dp"
            android:src="@mipmap/iv_gif_stop_can_not_use"
            android:visibility="gone" />
        <!--gif录制结果-->
        <LinearLayout
            android:id="@+id/ll_show_gif"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_centerInParent="true"
            android:background="@color/dialogBac"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:id="@+id/gif_show"
                android:layout_width="320dp"
                android:layout_height="240dp"
                android:scaleType="fitCenter" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="截取成功"
                android:textColor="@color/white"
                android:textSize="15sp" />

            <ImageView
                android:id="@+id/iv_save_gif"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_marginTop="10dp"
                android:src="@mipmap/iv_save_to_local" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:text="保存本地"
                android:textColor="@color/white"
                android:textSize="15sp" />

        </LinearLayout>
        <!--gif录制进度条-->
        <com.bokecc.vod.view.ProgressView
            android:id="@+id/gif_progress_view"
            android:layout_width="match_parent"
            android:layout_height="3dp"
            android:layout_alignParentTop="true"
            android:visibility="gone" />
        <!--gif提示语-->
        <TextView
            android:id="@+id/gif_tips"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="20dp"
            android:background="@drawable/gif_tips"
            android:paddingLeft="10dp"
            android:paddingTop="5dp"
            android:paddingRight="10dp"
            android:paddingBottom="5dp"
            android:text="录制3s，即可分享"
            android:textColor="@android:color/white"
            android:textSize="12sp"
            android:visibility="gone" />
        <!--gif取消-->
        <TextView
            android:id="@+id/gif_cancel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="15dp"
            android:layout_marginEnd="50dp"
            android:background="@drawable/gif_tips"
            android:paddingLeft="15dp"
            android:paddingTop="5dp"
            android:paddingRight="15dp"
            android:paddingBottom="5dp"
            android:text="取消"
            android:textColor="@android:color/white"
            android:textSize="15sp"
            android:visibility="gone" />
        <!--选择题相关ui-->
        <include
            android:id="@+id/choiceRoot"
            layout="@layout/layout_choice_question"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentBottom="true"
            android:visibility="gone" />
        <!--答案提交失败-->
        <include
            android:id="@+id/commitAnswerErrorLayout"
            layout="@layout/layout_error"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:visibility="gone" />
        <!--答题统计结果-->
        <include
            android:id="@+id/statisticsLayout"
            layout="@layout/layout_statistics"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:visibility="gone" />
        <!--透明跑马灯-->
        <com.bokecc.marquee.TransparentMarquee
            android:id="@+id/id_transparent_marquee"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="match_parent"/>
    </RelativeLayout>
    <!--画中画模式下显示签到按钮-->
    <RelativeLayout
        android:visibility="gone"
        android:id="@+id/rl_signin_root"
        android:layout_centerInParent="true"
        android:layout_width="match_parent"
        android:layout_marginLeft="25dp"
        android:layout_marginRight="25dp"
        android:layout_height="30dp">
        <TextView
            android:id="@+id/tv_signin_control"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:singleLine="true"
            android:gravity="center"
            android:maxLength="8"
            android:text="阿斯顿发送到发送到发顺丰阿斯顿发送到发"
            android:layout_gravity="center_horizontal"
            android:background="@drawable/shape_orange_corner_bac"
            android:textColor="#ffffff"
            android:textSize="15sp" />
        <ImageView
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:src="@mipmap/signin_bg"/>
        <TextView
            android:id="@+id/tv_signin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="12sp"
            android:textColor="#ffffff"
            android:layout_marginTop="3dp"
            android:text="1"
            android:layout_marginLeft="6dp"/>
    </RelativeLayout>
</RelativeLayout>